app:
  log_level: "info"
  port: 8000
  address: "127.0.0.1"
  client_ca_path: "/etc/nginx/tls/backend/ca.crt"
  client_cert_path: "/etc/nginx/tls/backend/tls.crt"
  client_key_path: "/etc/nginx/tls/backend/tls.key"
  api_maps:
    builds: "https://builds-api.builds-api.svc.cluster.local:8443"
    jobs: "https://jobs-api.jobs-api.svc.cluster.local:8443"
    envvars: "https://envvars-api.envvars-api.svc.cluster.local:8443"
    components: "https://components-api.components-api.svc.cluster.local:8443"
  openapi_docs:
    builds: true
    jobs: true
    envvars: true
    components: false
    external_api_url: "https://api.svc.toolforge.org"
  superusers: []
  backend_timeout_s: 10
  backend_logs_timeout_s: 600
  image:
    # name and tag are used by the ci to set the image repo and tag accordingly
    name: "tools-harbor.wmcloud.org/toolforge/api-gateway"
    tag: OVERWRITTEN_BY_CI
    pullPolicy: Always

nginx:
  replicas: 1

  image:
    repository: docker-registry.tools.wmflabs.org/nginx
    nginxTag: latest
    pullPolicy: Always

  tolerations:
    - key: "ingressgen2"
      operator: "Equal"
      value: "true"
      effect: "NoSchedule"

  affinity:
    nodeAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
        - weight: 100
          preference:
            matchExpressions:
              - key: kubernetes.io/role
                operator: In
                values:
                  - "ingressgen2"

certificates:
  internalClusterDomain: cluster.local
  certManagerNamespace: cert-manager

service:
  type: NodePort
  nodePort: 30003

backends:
  - name: jobs-api
    path: /jobs
    target:
      namespace: jobs-api
      service: jobs-api
      port: 8443
  - name: builds-api
    path: /builds
    target:
      namespace: builds-api
      service: builds-api
      port: 8443
  - name: envvars-api
    path: /envvars
    target:
      namespace: envvars-api
      service: envvars-api
      port: 8443
  - name: components-api
    path: /components
    target:
      namespace: components-api
      service: components-api
      port: 8443
